Batch Inference
curl --request POST \
--url https://inference-service-433968519479.us-central1.run.app/inference/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hf_token": "<string>",
"model_source": "<string>",
"base_model_id": "<string>",
"messages": [
[
{}
]
],
"use_vllm": false
}
'import requests
url = "https://inference-service-433968519479.us-central1.run.app/inference/batch"
payload = {
"hf_token": "<string>",
"model_source": "<string>",
"base_model_id": "<string>",
"messages": [[{}]],
"use_vllm": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
hf_token: '<string>',
model_source: '<string>',
base_model_id: '<string>',
messages: [[{}]],
use_vllm: false
})
};
fetch('https://inference-service-433968519479.us-central1.run.app/inference/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Inference
Batch inference
Run batch inference using a trained model
POST
/
inference
/
batch
Batch Inference
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
⌘I